> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List notifications for current user

> Lists current-user notifications with paging, sorting, and filters for operational alerts, announcements, and follow-up updates.



## OpenAPI

````yaml /openapi.json post /notifications/me
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /notifications/me:
    post:
      tags:
        - Notifications
      summary: List notifications for current user
      description: >-
        Lists current-user notifications with paging, sorting, and filters for
        operational alerts, announcements, and follow-up updates.
      operationId: Notifications_GetAllForCurrentUser
      parameters:
        - name: startAt
          in: query
          description: Inclusive beginning of the created date range.
          schema:
            type: string
            format: date-time
        - name: endAt
          in: query
          description: Exclusive end of the created date range.
          schema:
            type: string
            format: date-time
      requestBody:
        description: Request data options for pagination, filtering, and sorting.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/RequestDataOptions'
              description: >-
                Options for flexible, efficient, and explicit querying in Cosmos
                DB or similar repositories.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/RequestDataOptions'
              description: >-
                Options for flexible, efficient, and explicit querying in Cosmos
                DB or similar repositories.
        required: true
      responses:
        '200':
          description: Returns the paged notification table row.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PagedResultOfNotificationTableRow'
                description: >-
                  A generic container for paginated results returned to the
                  client.
        '400':
          description: The request was invalid or failed validation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: An unexpected server error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    RequestDataOptions:
      type: object
      properties:
        pageSize:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Maximum items to return in one page
          format: int32
        continuationToken:
          type: string
          description: >-
            Opaque Cosmos DB continuation token. ‑ on the **first** request. ‑
            Client must echo back the NextToken it received from the previous
            page.
          nullable: true
        orderBy:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/OrderByOption'
            description: An object for ordering during querying
          description: List of sort instructions, in priority order.
          nullable: true
        includeCount:
          type: boolean
          description: Whether to include the total count in the response (for pagination).
          nullable: true
        search:
          type: string
          description: The search term to filter results (applied to ).
          nullable: true
        searchFields:
          type: array
          items:
            type: string
          description: >-
            The list of fields to apply the Search term to (must be string
            properties).
          nullable: true
        filters:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/ExactMatchFilter'
            description: >-
              A generic object for handling exact match filtering during
              querying
          description: Key-value exact match filters (e.g., Status = Active).
          nullable: true
        rangeFilters:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/RangeFilter'
            description: A generic object for handling range filtering during querying
          description: Advanced range-based filters (e.g., Price > 50 and Price <= 200).
          nullable: true
      description: >-
        Options for flexible, efficient, and explicit querying in Cosmos DB or
        similar repositories.
    PagedResultOfNotificationTableRow:
      type: object
      properties:
        items:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/NotificationTableRow'
            description: API response containing notification data returned to callers.
          description: The subset of items returned for the current page.
        pageSize:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            The number of items returned per page in the response. This may
            reflect the client's requested page size, or a server-defined
            default or limit.
          format: int32
        totalCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            The total number of items that match the query across all pages. May
            be null if the count is not computed or not applicable (e.g., in
            continuation-based pagination).
          format: int32
          nullable: true
        continuationToken:
          type: string
          description: >-
            Opaque storage continuation token. ‑ `null` → the current page was
            the last page.
          nullable: true
      description: A generic container for paginated results returned to the client.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    OrderByOption:
      type: object
      properties:
        field:
          type: string
          description: The field to sort by.
        direction:
          enum:
            - asc
            - desc
          type: string
          description: An enumerator for sort direction during querying
          nullable: true
      description: An object for ordering during querying
    ExactMatchFilter:
      type: object
      properties:
        value:
          description: The value that the field must match.
        field:
          type: string
          description: The field to filter by.
      description: A generic object for handling exact match filtering during querying
    RangeFilter:
      type: object
      properties:
        greaterThan:
          description: The exclusive lower bound for the field value.
        greaterThanOrEqual:
          description: The inclusive lower bound for the field value.
        lessThan:
          description: The exclusive upper bound for the field value.
        lessThanOrEqual:
          description: The inclusive upper bound for the field value.
        field:
          type: string
          description: The field to filter by.
      description: A generic object for handling range filtering during querying
    NotificationTableRow:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/NotificationType'
          description: The type classification for this notification.
        priority:
          allOf:
            - $ref: '#/components/schemas/NotificationPriority'
          description: The priority value for this notification.
        message:
          type: string
          description: The message value for this notification.
        details:
          type: string
          description: The details value for this notification.
          nullable: true
        isRead:
          type: boolean
          description: Whether this notification is read.
        readAt:
          type: string
          description: The date and time for the read at value on this notification.
          format: date-time
          nullable: true
        actionUrl:
          type: string
          description: The URL associated with this notification.
          nullable: true
        actionButtonText:
          type: string
          description: The action button text value for this notification.
          nullable: true
        relatedEntityId:
          type: string
          description: The related entity ID associated with this notification.
          nullable: true
        relatedEntityType:
          type: string
          description: The related entity type classification for this notification.
          nullable: true
        name:
          type: string
          description: The display name for the entity.
        id:
          type: string
          description: The unique identifier for the entity.
        createdAt:
          type: string
          description: The date and time when the entity was created.
          format: date-time
        modifiedAt:
          type: string
          description: The date and time when the entity was last modified, if applicable.
          format: date-time
          nullable: true
      description: API response containing notification data returned to callers.
    NotificationType:
      enum:
        - General
        - Lead
        - Call
        - Sms
        - Billing
        - System
        - Success
        - Warning
        - Error
        - Info
        - Announcement
        - Activation
      type: string
      description: Defines the supported Notification Type values.
    NotificationPriority:
      enum:
        - Low
        - Medium
        - High
        - Critical
      type: string
      description: Defines the supported Notification Priority values.

````